
# ==================================================================================================================================
# START >> FILE INFO
# ==================================================================================================================================
# File        : traffic_light_classifier/__constants_subpkg__/_constants_submod.py
# Author      : Shashank Kumbhare
# Date        : 09/20/2022
# email       : shashankkumbhare8@gmail.com
# Description : This file is a python submodule for python subpackage
#               'traffic_light_classifier.__constants_subpkg__'.
# ==================================================================================================================================
# END << FILE INFO
# ==================================================================================================================================



# ==================================================================================================================================
# START >> SUBMODULE >> traffic_light_classifier.__constants_subpkg__._constants_submod
# ==================================================================================================================================
# >>
"""
This submodule stores all the required constants for the package.
These constants will then be shared across all the package modules & submodules.
"""



# ==================================================================================
# START >> IMPORTS
# ==================================================================================
# >>
from ..__dependencies_subpkg__ import *
# <<
# ==================================================================================
# END << IMPORTS
# ==================================================================================


# ==================================================================================================================================
# START >> CLASS >> Struct
# ==================================================================================================================================
# >>
class Struct:
    pass
# <<
# ==================================================================================================================================
# END << CLASS << Struct
# ==================================================================================================================================


# ==================================================================================================================================
# START >> CONSTANTS >> strings related
# ==================================================================================================================================
# >>
tab2    = "  "
tab4    = "    "
newline = "\n"
DEFAULT_DEFAULT_STR = "default"
# <<
# ==================================================================================================================================
# END << CONSTANTS << strings related
# ==================================================================================================================================


# ==================================================================================================================================
# START >> CONSTANTS >> __auxil_subpkg__ related
# ==================================================================================================================================
# >>
DEFAULT_COLOR_PRINT_HEADING    = DEFAULT_DEFAULT_STR
DEFAULT_HEADING_LEVEL          = 3
DEFAULT_SUBHEADING_LEVEL       = 4
DEFAULT_COLOR_HEADING          = "crimson"
DEFAULT_COLOR_SUBHEADING       = "SteelBlue"
DEFAULT_COLOR_UPDATE_USER_DONE = "green"
# <<
# ==================================================================================================================================
# END << CONSTANTS << __auxil_subpkg__ related
# ==================================================================================================================================


# ==================================================================================================================================
# START >> CONSTANTS >> _plots_subpkg related
# ==================================================================================================================================
# >>
DEFAULT_FIGSIZE      = 3.33
DEFAULT_FIGSIZESCALE = 1
DEFAULT_NAME_IMAGE   = "image"
DEFAULT_CMAP         = "gray" # "viridis"
DEFAULT_ALPHA        = 0.4
# <<
# ==================================================================================================================================
# END << CONSTANTS << _plots_subpkg related
# ==================================================================================================================================


# ==================================================================================================================================
# START >> CONSTANTS >> _modify_images_subpkg related
# ==================================================================================================================================
# >>
DEFAULT_STANDARDIZATION_SIZE = 32
# <<
# ==================================================================================================================================
# END << CONSTANTS << _modify_images_subpkg related
# ==================================================================================================================================


# ==================================================================================================================================
# START >> CONSTANTS >> _extract_feature_subpkg related
# ==================================================================================================================================
# >>
DEFAULT_NAME_IMAGE_INPUT            = "input image"
DEFAULT_NAME_IMAGE_AVG_RED          = "avg red image"
DEFAULT_NAME_IMAGE_AVG_YELLOW       = "avg yellow image"
DEFAULT_NAME_IMAGE_AVG_GREEN        = "avg green image"
DEFAULT_NAME_IMAGE_AVG_LIGHT_RED    = "avg red image"
DEFAULT_NAME_IMAGE_AVG_LIGHT_YELLOW = "avg yellow image"
DEFAULT_NAME_IMAGE_AVG_LIGHT_GREEN  = "avg green image"
DEFAULT_SHAPE_AREA_SEARCH           = (18, 14)
# DEFAULT_SHAPE_AREA_SEARCH_AVG_IMAGE = (20, 14)
DEFAULT_SHAPE_AREA_SEARCH_AVG_IMAGE = (20, 12)
DEFAULT_SHAPE_AREA_SEARCH_LIGHT     = (12,  9)
# <<
# ==================================================================================================================================
# END << CONSTANTS << _extract_feature_subpkg related
# ==================================================================================================================================


# ==================================================================================================================================
# START >> CONSTANTS >> Model related
# ==================================================================================================================================
# >>
DEFAULT_NAME_LOCATED_LIGHT    = "light located"
DEFAULT_COLOR_RED             = "red"
DEFAULT_COLOR_YELLOW          = "orange"
DEFAULT_COLOR_GREEN           = "mediumseagreen" # "mediumspringgreen"
DEFAULT_LABEL_LIGHTS_RED      = "red lights"
DEFAULT_LABEL_LIGHTS_YELLOW   = "yellow lights"
DEFAULT_LABEL_LIGHTS_GREEN    = "green lights"
DEFAULT_FIGSIZESCALE_EXAMPLES = 0.6
path_file = os.path.abspath((inspect.stack()[0])[1])
path_dir  = os.path.dirname(path_file)
DEFAULT_MODEL_PROBABILISTIC   = open(f"{path_dir}/model_probabilistic.md", "r").read()
# <<
# ==================================================================================================================================
# END << CONSTANTS << Model related
# ==================================================================================================================================



# <<
# ==================================================================================================================================
# END << SUBMODULE << traffic_light_classifier.__constants_subpkg__._constants_submod
# ==================================================================================================================================
